import Phaser from 'phaser';
import World from './game/game-world-scene';
import MainMenu from './menu/main-menu-scene';
import { PhaserScene } from '../utils/const/phaser-scene-enum';

export default class PhaserEngine {
  constructor() {

    // our game's configuration
    let config = {
      type: Phaser.CANVAS,
      width: 1200,
      height: 500,
      scene: [MainMenu,World],
      backgroundColor: 'rgba(34,139,34 ,1 )'
    };

    this.gameEngine = new Phaser.Game(config);
  }

  start() {
    this.gameEngine.scene.start(PhaserScene.MAIN_MENU);
  }

}
