'use strict';
import { PhaserScene } from '../../utils/const/phaser-scene-enum';
import Phaser from 'phaser';
import GameMasterPassnplay from '../game-master-passnplay';

export default class World extends Phaser.Scene {

  constructor() {
    super({ key: PhaserScene.WORLD, active: false });
    console.log('constructor');
  }

  init(gameParams){
    console.log('Init', gameParams);
    this.gameParams = gameParams;
    this.GameMasterPassnplay = new GameMasterPassnplay(gameParams);

  }
  preload() {
    console.log('Preload');

  }

  create() {
    console.log('create');
    this.GameMasterPassnplay.start(this);
  }

  update() {

  }
}
